[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# Pause

Wait for a signal

## Declaration

Source position: oldlinux.pp line 1489

`procedure Pause;`

## Description

Pause puts the process to sleep and waits until the application receives a signal. If a signal handler is installed for the received sigal, the handler will be called and after that pause will return control to the process.

For an example, see Alarm.

Documentation generated on: Feb 26 2014